Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517967 - Docked system suspended with lid closed
Summary: Docked system suspended with lid closed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 18:57 UTC by Russell Doty
Modified: 2018-11-30 18:45 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:45:18 UTC


Attachments (Terms of Use)

Description Russell Doty 2017-11-27 18:57:20 UTC
Description of problem:

Laptop remains suspended when docked until the lid opens. Closing the laptop lid when docked causes the external monitor to go blank and the system to suspend. System is unresponsive until the lid is opened again.


Version-Release number of selected component (if applicable):


How reproducible:
Every time.


Steps to Reproduce:
1. Laptop docked and running with lid open. 
2. Close lid

or:

1. Dock laptop with lid closed.

Actual results:
Laptop suspends until the lid is re-opened.

Expected results:
Laptop remains running and external display remains live as long as system is docked. Docking laptop with lid closed causes the laptop to start running and display on external monitor.


Additional info:

Lenovo X1 Carbon upgraded to F27.

From logind.conf:

HandleLidSwitch=suspend
HandleLidSwitchDocked=ignore

Comment 1 Russell Doty 2017-11-29 16:47:21 UTC
Update: may be more external display problem than suspend problem.

1. Dock system.
2. Press power button on dock to bring system out of suspend.
3. System is live but external display remains blank until the laptop lid is opened. System accepts keyboard input - I'm able to enter a password and have a live desktop session when I open the lid.

Comment 2 Russell Doty 2017-11-29 18:19:09 UTC
More info:

1. Laptop docked, lid open, and both laptop and external displays live
2. Close lid
3. Results: external display blanks. Laptop does not suspend. External screen remains unresponsive, even when entering <return>
4. Open laptop lid: external display comes back to life. Lock screen is showing; have to enter password to unlock session.

Also, if you enter <return> and your password while the laptop is closed, the session is live when you open the laptop lid.

Comment 3 Michael Chapman 2017-12-04 00:59:47 UTC
I can confirm this on a Lenovo ThinkPad T530.

A possible clue... prior to closing the lid, systemd-inhibit lists (among other things) an lid-switch inhibitor for both the gdm and my own sessions:

"""
     Who: gdm (UID 42/gdm, PID 1859/gsd-power)
    What: handle-lid-switch
     Why: Multiple displays attached
    Mode: block

     Who: mchapman (UID 1000/mchapman, PID 2605/gsd-power)
    What: handle-lid-switch
     Why: Multiple displays attached
    Mode: block
"""

However, after closing the lid, the inhibitor for my session goes away, leaving just:

"""
     Who: gdm (UID 42/gdm, PID 1859/gsd-power)
    What: handle-lid-switch
     Why: Multiple displays attached
    Mode: block
"""

I was not able to see any point at which this inhibitor went away.

So there's a few confusing things here. First, why would my session's gsd-power think there were no longer multiple displays attached when the lid was closed? Second, why does the inhibitor for gdm session's gsd-power *not* go away when the lid is closed... perhaps because that session is in the background? Third, even with one of these inhibitors gone there's still a second one, so why would logind suspend the system?

If I add a *manual* inhibitor with:

  systemd-inhibit --what handle-lid-switch cat

then logind does not the suspend the system when the lid is closed (though my external screen still turns off).

Comment 4 Rodolfo Granata 2017-12-04 19:29:11 UTC
Having this exact issue. It seems to be fixed upstream although I haven't tested it myself.

See https://bugzilla.gnome.org/show_bug.cgi?id=788915

Comment 5 Michael Chapman 2017-12-04 21:18:58 UTC
(In reply to Rodolfo Granata from comment #4)
> Having this exact issue. It seems to be fixed upstream although I haven't
> tested it myself.
> 
> See https://bugzilla.gnome.org/show_bug.cgi?id=788915

I just tested the patches there on mutter-3.26.2-1. They seem to fix this problem for me.

Comment 6 Rodolfo Granata 2017-12-05 16:26:48 UTC
(In reply to Michael Chapman from comment #5)
> (In reply to Rodolfo Granata from comment #4)
> > Having this exact issue. It seems to be fixed upstream although I haven't
> > tested it myself.
> > 
> > See https://bugzilla.gnome.org/show_bug.cgi?id=788915
> 
> I just tested the patches there on mutter-3.26.2-1. They seem to fix this
> problem for me.

Patched mutter myself, also seems to fix the issue.

Comment 7 Russell Doty 2017-12-13 15:15:07 UTC
This is now working for me. Feel free to close this bug.

Comment 8 Ben Cotton 2018-11-27 17:49:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 18:45:18 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.